### Hierarchy

- SearchManager

### Implemented by

- SearchManagerImpl

## Index

### Methods

- addEventToOfferSearch
- addResultItem
- claimPurchaseForSearchItem
- cloneOfferSearch
- cloneRequest
- complainToSearchItem
- confirmSearchItem
- createRequest
- createSearchResultByQuery
- deleteRequest
- evaluateSearchItem
- getCountBySearchRequestIds
- getInteractions
- getMyRequests
- getMySearchRequestsByTag
- getRequestsByOwnerAndId
- getRequestsByPage
- getSearchRequestsByOwnerAndTag
- getSearchResult
- getSearchResultByOfferSearchId
- getSuggestionByQuery
- getUserOfferSearches
- rejectSearchItem
- updateRequest

## Methods

### addEventToOfferSearch

- addEventToOfferSearch(event: string, offerSearchId: number): Promise<void>

- - Defined in manager/SearchManager.ts:84

  #### Parameters

  - ##### event: string

  - ##### offerSearchId: number

  #### Returns Promise<void>

### addResultItem

- addResultItem(offerSearch: OfferSearch): Promise<void>

- - Defined in manager/SearchManager.ts:82

  #### Parameters

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### claimPurchaseForSearchItem

- claimPurchaseForSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:80

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### cloneOfferSearch

- cloneOfferSearch(originToCopySearchRequestIds: Array<Pair<number, number>>): Promise<Array<OfferSearch>>

- - Defined in manager/SearchManager.ts:24

  #### Parameters

  - ##### originToCopySearchRequestIds: Array<Pair<number, number>>

  #### Returns Promise<Array<OfferSearch>>

### cloneRequest

- cloneRequest(searchRequestIds: Array<number>): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:22

  #### Parameters

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Array<SearchRequest>>

### complainToSearchItem

- complainToSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:72

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### confirmSearchItem

- confirmSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:78

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### createRequest

- createRequest(searchRequest: SearchRequest): Promise<SearchRequest>

- - Defined in manager/SearchManager.ts:18

  #### Parameters

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### createSearchResultByQuery

- createSearchResultByQuery(query: string, searchRequestId: number, page?: number, size?: number, interests?: Array<string>, mode?: OfferSearchRequestInterestMode, filters?: Map<string, Array<string>>): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:36

  #### Parameters

  - ##### query: string

  - ##### searchRequestId: number

  - ##### Optional page: number

  - ##### Optional size: number

  - ##### Optional interests: Array<string>

  - ##### Optional mode: OfferSearchRequestInterestMode

  - ##### Optional filters: Map<string, Array<string>>

  #### Returns Promise<Page<OfferSearchResultItem>>

### deleteRequest

- deleteRequest(id: number): Promise<number>

- - Defined in manager/SearchManager.ts:32

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### evaluateSearchItem

- evaluateSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:76

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### getCountBySearchRequestIds

- getCountBySearchRequestIds(searchRequestIds: Array<number>): Promise<Map<number, number>>

- - Defined in manager/SearchManager.ts:54

  #### Parameters

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Map<number, number>>

### getInteractions

- getInteractions(offerIds?: Array<number> | undefined, states?: Array<OfferResultAction> | undefined, owner?: string | undefined): Promise<Array<OfferInteraction>>

- - Defined in manager/SearchManager.ts:66

  #### Parameters

  - ##### Optional offerIds: Array<number> | undefined

  - ##### Optional states: Array<OfferResultAction> | undefined

  - ##### Optional owner: string | undefined

  #### Returns Promise<Array<OfferInteraction>>

### getMyRequests

- getMyRequests(id?: number): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:26

  #### Parameters

  - ##### Optional id: number

  #### Returns Promise<Array<SearchRequest>>

### getMySearchRequestsByTag

- getMySearchRequestsByTag(tag: string): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:88

  #### Parameters

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### getRequestsByOwnerAndId

- getRequestsByOwnerAndId(owner: string, id?: number): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:28

  #### Parameters

  - ##### owner: string

  - ##### Optional id: number

  #### Returns Promise<Array<SearchRequest>>

### getRequestsByPage

- getRequestsByPage(page?: number, size?: number): Promise<Page<SearchRequest>>

- - Defined in manager/SearchManager.ts:30

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<SearchRequest>>

### getSearchRequestsByOwnerAndTag

- getSearchRequestsByOwnerAndTag(owner: string, tag: string): Promise<Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:86

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### getSearchResult

- getSearchResult(searchRequestId: number, page?: number, size?: number): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:46

  #### Parameters

  - ##### searchRequestId: number

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSearchResultByOfferSearchId

- getSearchResultByOfferSearchId(offerSearchId: number, page?: number, size?: number): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:48

  #### Parameters

  - ##### offerSearchId: number

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSuggestionByQuery

- getSuggestionByQuery(query: string, size?: number): Promise<Array<string>>

- - Defined in manager/SearchManager.ts:34

  #### Parameters

  - ##### query: string

  - ##### Optional size: number

  #### Returns Promise<Array<string>>

### getUserOfferSearches

- getUserOfferSearches(page?: number, size?: number, unique?: boolean, searchIds?: Array<number>, state?: Array<OfferResultAction>, sort?: SortOfferSearch, interaction?: boolean): Promise<Page<OfferSearchResultItem>>

- - Defined in manager/SearchManager.ts:56

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  - ##### Optional unique: boolean

  - ##### Optional searchIds: Array<number>

  - ##### Optional state: Array<OfferResultAction>

  - ##### Optional sort: SortOfferSearch

  - ##### Optional interaction: boolean

  #### Returns Promise<Page<OfferSearchResultItem>>

### rejectSearchItem

- rejectSearchItem(searchResultId: number): Promise<void>

- - Defined in manager/SearchManager.ts:74

  #### Parameters

  - ##### searchResultId: number

  #### Returns Promise<void>

### updateRequest

- updateRequest(searchRequest: SearchRequest | Array<SearchRequest>): Promise<SearchRequest | Array<SearchRequest>>

- - Defined in manager/SearchManager.ts:20

  #### Parameters

  - ##### searchRequest: SearchRequest | Array<SearchRequest>

  #### Returns Promise<SearchRequest | Array<SearchRequest>>

Generated using TypeDoc